Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.monitors
Class LifecycleComponentMonitor.LifecycleFailuresException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.monitors.LifecycleComponentMonitor.LifecycleFailuresException

All Implemented Interfaces:
  Serializable

Enclosing class:
  LifecycleComponentMonitor

    public final class LifecycleComponentMonitor.LifecycleFailuresException

extends PicoException

Subclass of `PicoException` that is thrown when the collected lifecycle failures need to be be collectively rethrown.

Author:
  Paul Hammant, Mauro Talevi
See Also:
  Serialized Form

Constructor Summary
`LifecycleComponentMonitor.LifecycleFailuresException(List<RuntimeException> lifecycleFailures)`

Method Summary
`Collection<RuntimeException>` | `getFailures()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleComponentMonitor.LifecycleFailuresException

    public LifecycleComponentMonitor.LifecycleFailuresException(List<RuntimeException> lifecycleFailures)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getFailures

    public Collection<RuntimeException> getFailures()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.